# MeshArrays.jl

`MeshArrays.jl` defines an array type that can contain / organize / distribute collections of inter-connected arrays as generally done in climate models (see [Grids](@ref)). Data structures defined in `MeshArrays.jl` can be used to simulate and analyze key variables of the climate system such as [particles](https://doi.org/10.21105/joss.02813) and [transports](https://doi.org/10.1038/s41561-019-0333-7).

!!! note
    [The basics tutorial](tutorials/basics.html) provides a walk through of core features. [The geography tutorial](tutorials/geography.html) deals with interpolation and mapping. [The vectors tutorial](tutorials/vectors.html) demonstrates functionalities related to vector fields and transport processes. [The JuliaClimate Notebooks](https://juliaclimate.github.io/GlobalOceanNotebooks/) link to a collection of use cases.

