# Video Examples

The videos below demo `MeshArrays.jl` for two use cases :

1. interactive analysis of gridded ocean model output
1. simulation of plastic particles following ocean currents

The final video introduces `MeshArrays.jl` at JuliaCon 2018.

## Interactive Model Analysis

In this demo of interactive visualization of ocean variables, the notebook provides various options for choosing variables and viewing them. Plots etc react to these user selections as illustrated in the video. Code is based on  MeshArrays.jl (grids, arrays), [OceanStateEstimation.jl](https://github.com/gaelforget/OceanStateEstimation.jl) (velocity fields, etc), Pluto.jl (notebook), Makie.jl (plotting), and other open source packages.

[![ocean state estimate analysis](https://user-images.githubusercontent.com/20276764/144332405-ed8d163f-04b9-408a-8fd0-08d91e9be91b.png)](https://youtu.be/UEmBnzspSRg)

## Ocean Particles

Visualize a simulation of particles moving at a fixed depth in the Ocean (300m depth). This uses [IndividualDisplacements.jl](https://github.com/JuliaClimate/IndividualDisplacements.jl) to simulate particle trajectories.

[![simulated particle movie (300m)](https://user-images.githubusercontent.com/20276764/84767001-b89a4400-af9f-11ea-956f-2e207f892c4f.png)](https://youtu.be/M6vAUtIsIIY)

## JuliaCon 2018

`MeshArrays.jl` was first introduced but with the `gcmfaces.jl` name.

[![JuliaCon-2018 presentation](https://user-images.githubusercontent.com/20276764/84893715-abe42180-b06d-11ea-92d3-173b678a701e.png)](https://youtu.be/RDxAy_zSUvg)

